QGIS Application - Bug report #11200
Symbology changes of a layer aren't reflected in overview panel
2014-09-12 11:58 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 19511
Description

Symbology changes of a layer that is shown in the overview aren't reflected in the overview panel (i.e. old style is used) until a user hides
and shows the layer via its visibility check box. It's not a huge deal, but does go in the way of a flawless user experience :)

Steps to reproduce:

1. Create a new project (make sure your overview panel is open)

2. Add a polygon vector layer

3. Activate the [x] show in overview right-click menu item

4. Open the layer's property window, and change the polygon's fill color to something different, apply the change
5. Notice how the overview panel isn't upaded to reflect the symbology change

6. Uncheck the layer's visibility check box, and re-check it

7. The overview panel now shows the updated symbology

Associated revisions

Revision 8d042418 - 2014-09-14 01:26 PM - Martin Dobias

Fix #11200 (Symbology changes of a layer aren't reflected in overview panel)

History

#1 - 2014-09-14 04:27 AM - Martin Dobias
- Status changed from Open to Closed

Fixed in changeset commit:"8d0424188cfe178148bb035d58a1ed9a06d4c94{".
